For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI ReferenceWebhooks Reference
DocumentationAPI ReferenceWebhooks Reference
  • Ingest Reference
  • Main Reference
        • POSTCreate a new client.
        • GETGet a list of clients.
        • PUTModify a client.
        • DELDelete client .
LogoLogo
Main ReferenceCollectionsClients

Get a list of clients.

GET
https://api.invofox.com/companies/:id/clients
GET
/companies/:id/clients
1const url = 'https://api.invofox.com/companies/id/clients';
2const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};
3
4try {
5 const response = await fetch(url, options);
6 const data = await response.json();
7 console.log(data);
8} catch (error) {
9 console.error(error);
10}
1{
2 "result": [
3 {
4 "_id": "5f8d0d55b54764421b7156c1",
5 "account": "acc_987654321",
6 "environment": "env_prod_us",
7 "company": "comp_123456789",
8 "name": "Acme Corporation",
9 "countryCode": "US",
10 "taxId": "12-3456789",
11 "type": "client",
12 "state": "validated"
13 }
14 ],
15 "count": 1
16}
Get a list of clients for specified company.
Was this page helpful?
Previous

Modify a client.

Next
Built with

Authentication

x-api-keystring
API Key authentication via header

Path parameters

idstringRequired
id of the company to get clients from

Query parameters

filterobjectOptional

Key-value pairs where keys correspond to CompanyEnterprises’s model schema

Response

List of clients for specified company
resultlist of objects
countdouble

Errors

500
Internal Server Error